1. Stefan Saasen
  2. git

Commits

Linus Torvalds  committed 4bc5fbf

Make "git log" exit properly if not in a git archive

Instead of getting an incomprehensible error message from git-rev-list.

  • Participants
  • Parent commits 0ee19dc
  • Branches master

Comments (0)

Files changed (1)

File git-log-script

View file
  • Ignore whitespace
 #!/bin/sh
+. git-sh-setup-script || die "Not a git archive"
 git-rev-list --pretty $(git-rev-parse --default HEAD "$@") | LESS=-S ${PAGER:-less}